libalpm(3)

NAME
libalpm - The libalpm Public API

SYNOPSIS

  Topics
Files
Functions for package files
Groups
Functions for package groups
Error Codes
Error codes returned by libalpm.
Handle
Functions to initialize and release libalpm
Signature checking
Functions to check signatures
Dependency
Functions dealing with libalpm's dependency and conflict information.
Callbacks
Functions and structures for libalpm's callbacks
Database
Functions to query and manipulate the database of libalpm.
Logging Functions
Functions to log using libalpm
Options
Libalpm option getters and setters
Package Functions
Functions to manipulate libalpm packages
Transaction
Functions to manipulate libalpm transactions
Miscellaneous Functions
Various libalpm functions
libalpm_list(3)

  Data Structures
struct alpm_pkg_xdata_t
The extended data type used to store non-standard package data fields.

Detailed Description

libalpm is a package management library, primarily used by pacman. For ease of access, the libalpm manual has been split up into several sections.

See Also

libalpm_list(3), libalpm_cb(3), libalpm_databases(3), libalpm_depends(3), libalpm_errors(3), libalpm_files(3), libalpm_groups(3), libalpm_handle(3), libalpm_log(3), libalpm_misc(3), libalpm_options(3), libalpm_packages(3), libalpm_sig(3), libalpm_trans(3)

Data Structure Documentation

struct alpm_pkg_xdata_t

The extended data type used to store non-standard package data fields.

Data Fields:
    char * name

    char * value

Author

Generated automatically by Doxygen for libalpm from the source code.